> For the complete documentation index, see [llms.txt](https://docs.parallels.com/landing/llms.txt). Markdown versions of documentation pages are available by appending `.md` to page URLs; this page is available as [Markdown](https://docs.parallels.com/landing/ras-powershell-api-guide/v20/parallels-ras-powershell-admin-module/commands/set-rastemplateversion.md).

# Set-RASTemplateVersion.md

## NAME

Set-RASTemplateVersion

## SYNOPSIS

Modifies the properties of a Template Version.

## SYNTAX

\*\*Set-RASTemplateVersion -[ObjType](#objtype) {VDITemplateVersion | RDSTemplateVersion | AVDTemplateVersion} -[TemplateId](#templateid-string) *(uint)* \[[Description](#description-string) *(string)*] \[[Id](#id-string) *(uint)*] \[[NewName](#newname-string) *(string)*] \[*(*[*CommonParameters*](#CommonParameters)*)*]

\*\*Set-RASTemplateVersion \[-[InputObject](#inputobject)] *(*[*TemplateVersion*](/landing/ras-powershell-api-guide/v20/parallels-ras-powershell-admin-module/types/templateversion.md)*)* -[ObjType](#objtype) {VDITemplateVersion | RDSTemplateVersion | AVDTemplateVersion} -[TemplateId](#templateid-string) *(uint)* \[[Description](#description-string) *(string)*] \[[NewName](#newname-string) *(string)*] \[*(*[*CommonParameters*](#CommonParameters)*)*]

\*\*Set-RASTemplateVersion \[\[-[SiteId](#siteid-string)] *(uint)*] -[ObjType](#objtype) {VDITemplateVersion | RDSTemplateVersion | AVDTemplateVersion} -[TemplateId](#templateid-string) *(uint)* \[[Description](#description-string) *(string)*] \[[Name](#name-string) *(string)*] \[[NewName](#newname-string) *(string)*] \[*(*[*CommonParameters*](#CommonParameters)*)*]

## DESCRIPTION

Modifies the properties of a Template Version.

## PARAMETERS

## InputObject ([TemplateVersion](/landing/ras-powershell-api-guide/v20/parallels-ras-powershell-admin-module/types/templateversion.md))

An object of type template version representing a RAS Template Version.

The object is obtained using the Get-RASTemplateVersion cmdlet.

```
        Required?                    true

        Position?                    0

        Default value                

        Accept pipeline input?       true (ByValue)

        Accept wildcard characters?  false
```

## NewName (string)

Template version name.

```
        Required?                    false

        Position?                    named

        Default value                

        Accept pipeline input?       false

        Accept wildcard characters?  false
```

## Description (string)

Template version description

```
        Required?                    false

        Position?                    named

        Default value                

        Accept pipeline input?       false

        Accept wildcard characters?  false
```

## Name (string)

The Name of the Template Version.

```
        Required?                    false

        Position?                    named

        Default value                

        Accept pipeline input?       false

        Accept wildcard characters?  false
```

## SiteId (uint)

The Id of the site which contains the Template Version.

```
        Required?                    false

        Position?                    1

        Default value                0

        Accept pipeline input?       false

        Accept wildcard characters?  false
```

## Id (uint)

The ID of the Template Version.

```
        Required?                    false

        Position?                    named

        Default value                0

        Accept pipeline input?       false

        Accept wildcard characters?  false
```

## TemplateId (uint)

The ID of the Template that contains the Template Version.

```
        Required?                    true

        Position?                    named

        Default value                0

        Accept pipeline input?       false

        Accept wildcard characters?  false
```

## ObjType ([TemplateVersion](/landing/ras-powershell-api-guide/v20/parallels-ras-powershell-admin-module/types/templateversion.md))

The Template Type.

Possible values: VDITemplateVersion, RDSTemplateVersion, AVDTemplateVersion

```
        Required?                    true

        Position?                    named

        Default value                0

        Accept pipeline input?       false

        Accept wildcard characters?  false
```

(CommonParameters)

```
        This cmdlet supports the common parameters: Verbose, Debug,

        ErrorAction, ErrorVariable, WarningAction, WarningVariable,

        OutBuffer, PipelineVariable, and OutVariable. For more information, see 

        about_CommonParameters documentation. 
```

## INPUTS

[TemplateVersion](/landing/ras-powershell-api-guide/v20/parallels-ras-powershell-admin-module/types/templateversion.md)

## OUTPUTS

-none-

## EXAMPLES

\*\*---------- EXAMPLE 1 ----------

Set-RASTemplateVersion -ObjType AVDTemplate -TemplateId 1107548564 -Name "Old Version" -NewName "New Version"

Modifies the Name of the specified AVD Template Version.\
\*\*---------- EXAMPLE 2 ----------

Set-RASTemplateVersion -ObjType VDITemplate -TemplateId 1107548564 -Id 1 -Description "New decsription"

Modifies the Name of the specified VDI Template Version.

## RELATED LINKS

* [Get-RASTemplateVersion](/landing/ras-powershell-api-guide/v20/parallels-ras-powershell-admin-module/commands/get-rastemplateversion.md)
* [Remove-RASTemplateVersion](/landing/ras-powershell-api-guide/v20/parallels-ras-powershell-admin-module/commands/remove-rastemplateversion.md)


---

# Agent Instructions
This documentation is published with GitBook. GitBook is the documentation platform designed so that both humans and AI agents can read, navigate, and reason over technical content effectively. Learn more at gitbook.com.

## Querying This Documentation
If you need additional information that is not directly available in this page, you can query the documentation dynamically by asking a question.

Perform an HTTP GET request on the current page URL with the `ask` query parameter, and the optional `goal` query parameter:

```
GET https://docs.parallels.com/landing/ras-powershell-api-guide/v20/parallels-ras-powershell-admin-module/commands/set-rastemplateversion.md?ask=<question>&goal=<endgoal>
```

`ask` is the immediate question: it should be specific, self-contained, and written in natural language.
`goal` is optional and describes the broader end goal you are ultimately trying to accomplish on behalf of the user. GitBook uses it to tailor the answer towards what is most useful for that goal.

The response will contain a direct answer to the question and relevant excerpts and sources from the documentation.

Use this mechanism when the answer is not explicitly present in the current page, you need clarification or additional context, or you want to retrieve related documentation sections.
